# environment::get-user-name

Gets the user name of the person who started the current thread.

### Usage

`string environment::get-user-name()`

### Return Value

The name of the person logged on to the system who started the current thread.

### Examples

- Modify the home directory of the current user on unix-based systems.

                  <exec program="usermod">
                      <arg value="-d" />
                      <arg value="/home/temp" />
                      <arg value="${environment::get-user-name()}" />
                  </exec>

### Requirements

Assembly: NAnt.Core (0.90.3780.0)